## Xalan-C++ API Documentation

### The Xalan C++ XSLT Processor Version 1.9

Main Page | Class Hierarchy | Alphabetical List | Class List | File List | Class Members | File Members | Related Pages

# XercesDocumentBridge::BuildBridgeTreeWalker::NavigatorStackEntryType Struct Reference

Collaboration diagram for XercesDocumentBridge::BuildBridgeTreeWalker::NavigatorStackEntryType:

[legend]
List of all members.

## Public Member Functions

- NavigatorStackEntryType (XercesBridgeNavigator *theNavigator=0, XalanNode *theNode=0)

## Public Attributes

- XercesBridgeNavigator * m_navigator
- XalanNode * m_node

## Constructor & Destructor Documentation

XercesDocumentBridge::BuildBridgeTreeWalker::NavigatorStackEntryType::NavigatorStackEntryType | ( | XercesBridgeNavigator * | theNavigator = 0,
|  | XalanNode * | theNode = 0
| ) |

## Member Data Documentation

XercesBridgeNavigator* XercesDocumentBridge::BuildBridgeTreeWalker::NavigatorStackEntryType::m_navigator

XalanNode* XercesDocumentBridge::BuildBridgeTreeWalker::NavigatorStackEntryType::m_node

The documentation for this struct was generated from the following file:

- XercesDocumentBridge.hpp

Interpreting class diagrams

Doxygen and GraphViz are used to generate this API documentation from the Xalan-C header files.

Xalan-C++ XSLT Processor Version 1.9 Copyright © 1999-2004 The Apache Software Foundation. All Rights Reserved.